| Home | Libraries | People | FAQ | More

## Struct hash<wchar_t>

boost::hash<wchar_t>

## Synopsis

    // In header: <boost/functional/hash.hpp>

    struct hash<wchar_t> {
      std::size_t operator()(wchar_t) const;
    };

## Description

    std::size_t operator()(wchar_t val) const;

Returns: | Unspecified in TR1, except that equal arguments yield the same result. hash_value(val) in Boost.
Throws: | Doesn't throw